export { ModelDataBase } from "./model.js";
export { AllSymbol, VersionNode } from "./model_definitions.js";
import { MongoClient, MongoClientOptions, Db } from "mongodb";
import { ModelDefinition } from "./model_definitions.js";
import Model, { ModelDataBase } from "./model.js";
export default class SafeMongo {
    private database_name;
    private client;
    db: Db;
    private waiting;
    constructor(uri: string, database_name: string, options?: MongoClientOptions);
    addModel<T extends ModelDataBase>(definition: ModelDefinition): Model<T>;
    awaitConnected(): Promise<void>;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
    getClient(): MongoClient;
}
